Subject: Re: What's cooking in git.git (Dec 2021, #03; Fri, 10)

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Dec 2021 10:54:27 -0800

Phillip Wood <[email-masked]> writes:

> On 11/12/2021 02:52, Junio C Hamano wrote:
>> * pw/fix-some-issues-in-reset-head (2021-12-08) 14 commits
>>   - rebase -m: don't fork git checkout
>>   - rebase --apply: set ORIG_HEAD correctly
>>   - rebase --apply: fix reflog
>>   - reset_head(): take struct rebase_head_opts
>>   - rebase: cleanup reset_head() calls
>>   - reset_head(): make default_reflog_action optional
>>   - reset_head(): factor out ref updates
>>   - create_autostash(): remove unneeded parameter
>>   - reset_head(): remove action parameter
>>   - rebase --apply: don't run post-checkout hook if there is an error
>>   - rebase: do not remove untracked files on checkout
>>   - rebase: pass correct arguments to post-checkout hook
>>   - t5403: refactor rebase post-checkout hook tests
>>   - rebase: factor out checkout for up to date branch
>>   Fix "some issues" in a helper function reset_head().
>>   source: <[email-masked]>
>
> Thanks for your comments on this series, I'll re-roll but probably not
> until the new year now.

Sure.  Thanks.

>
>> * pw/diff-color-moved-fix (2021-12-09) 15 commits
>>   - diff --color-moved: intern strings
>>   - diff: use designated initializers for emitted_diff_symbol
>>   - diff --color-moved-ws=allow-indentation-change: improve hash lookups
>>   - diff --color-moved: stop clearing potential moved blocks
>>   - diff --color-moved: shrink potential moved blocks as we go
>>   - diff --color-moved: unify moved block growth functions
>>   - diff --color-moved: call comparison function directly
>>   - diff --color-moved-ws=allow-indentation-change: simplify and optimize
>>   - diff: simplify allow-indentation-change delta calculation
>>   - diff --color-moved: avoid false short line matches and bad zebra coloring
>>   - diff --color-moved=zebra: fix alternate coloring
>>   - diff --color-moved: rewind when discarding pmb
>>   - diff --color-moved: factor out function
>>   - diff --color-moved: clear all flags on blocks that are too short
>>   - diff --color-moved: add perf tests
>>   Correctness and performance update to "diff --color-moved"
>> feature.
>>   Will merge to 'next'?
>
> I think it's ready, Dscho had a fairly detailed look at it and seemed
> happy, Elijah and Ævar read through previous versions. I'm not aware
> of any issues with it.

Yup, let's merge it down.  Thanks for these improvements.  They made
a pleasant read.